Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Class RemoveCommand<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.InferenceCommand<E,P,C,K,H,S>
          com.hammurapi.eventbus.RemoveCommand<E,P,C,K,H,S>

Type Parameters:
  `E` -
  `P` -
  `C` -
  `H` -

    public class RemoveCommand<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

extends InferenceCommand<E,P,C,K,H,S>

Constructor Summary
`RemoveCommand(AbstractEventBus.Handle<E,P,C,K> handle, K handlerId, EventHandler<E,P,C,H,S> handler, InferenceContext<E,P,C,K,H,S> inferenceContext, boolean forUpdate, AbstractEventBus.Handle<E,P,C,K>[] inputs)`

Method Summary
`AbstractEventBus.Handle<E,P,C,K>` | `getHandle()`
`boolean` | `isForUpdate()`
`String` | `toString()`

Methods inherited from class com.hammurapi.eventbus.InferenceCommand
`getHandler, getHandlerId, getInferenceContext, getInputs, setInferenceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoveCommand

    public RemoveCommand(AbstractEventBus.Handle<E,P,C,K> handle,
                         K handlerId,
                         EventHandler<E,P,C,H,S> handler,
                         InferenceContext<E,P,C,K,H,S> inferenceContext,
                         boolean forUpdate,
                         AbstractEventBus.Handle<E,P,C,K>[] inputs)

Method Detail

### getHandle

    public AbstractEventBus.Handle<E,P,C,K> getHandle()

### isForUpdate

    public boolean isForUpdate()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD